Bug 646684 (CVE-2010-3710) - CVE-2010-3710 php: DoS in filter_var() via long email string
Summary: CVE-2010-3710 php: DoS in filter_var() via long email string
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 646688 651953 670463 670464
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-25 22:05 UTC by Vincent Danen
Modified: 2019-09-29 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-04 09:06:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0196 normal SHIPPED_LIVE Moderate: php53 security update 2011-02-03 19:16:54 UTC

Description Vincent Danen 2010-10-25 22:05:53 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3710 to
the following vulnerability:

Name: CVE-2010-3710
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3710
Assigned: 20101001
Reference: CONFIRM: http://bugs.php.net/bug.php?id=52929

Stack consumption vulnerability in the filter_var function in PHP
5.2.x through 5.2.14 and 5.3.x through 5.3.3, when
FILTER_VALIDATE_EMAIL mode is used, allows remote attackers to cause a
denial of service (memory consumption and application crash) via a
long e-mail address string.

Comment 1 Vincent Danen 2010-10-25 22:13:55 UTC
Upstream fix is here: http://svn.php.net/viewvc/?view=revision&revision=303779

filter_var() was introduced in PHP 5.2.0 so this does not affect versions of PHP prior to that.

Comment 3 Vincent Danen 2010-10-25 22:24:25 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 646688]

Comment 6 Vincent Danen 2010-12-10 21:20:32 UTC
This was corrected in upstream 5.3.4.

Comment 9 Tomas Hoger 2011-01-18 18:19:32 UTC
What happens here is stack overflow caused by deep recursion in the PCRE regular expression engine, when long input is compared to a "valid email address" regular expression.  This regular expression was changed in between PHP versions 5.3.2 and 5.3.3:
  http://svn.php.net/viewvc?view=revision&revision=297350
  http://bugs.php.net/49576

This issue does not occur with the previously used regular expression.  Hence only php53 packages introduced in Red Hat Enterprise Linux 5.6 were affected.

Comment 10 errata-xmlrpc 2011-02-03 19:17:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0196 https://rhn.redhat.com/errata/RHSA-2011-0196.html

Comment 11 Vincent Danen 2011-02-03 19:32:56 UTC
Statement:

This issue did not affect the version of php packages as shipped with Red Hat Enterprise Linux 4, 5 or 6.  It  did affect the PHP 5.3 (php53) package on Red Hat Enterprise Linux 5.


Note You need to log in before you can comment on or make changes to this bug.